Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class Flag

    java.lang.Object
      |
      +--com.compoze.ebusiness.Flag

All Implemented Interfaces:
  java.io.Serializable

public class Flag
extends java.lang.Object
implements java.io.Serializable

This class represents a flag. By marking an item with a flag reminds you to follow-up.

The internationalizable string values are stored in the `ebusiness_resources.properties` file (accessed through `EBusinessResources`) and referenced by their key and can be found in `j2ee_runtime.jar` at `com.compoze.ebusiness.ebusiness_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static Flag` | `ARRANGE_MEETING` This value represents a flag of 'arrange meeting'.
`static Flag` | `CALL` This value represents a flag of 'call'.
`static Flag` | `FOLLOW_UP` This value represents a flag of 'follow up'.
`static Flag` | `NONE` This value represents a flag of 'none'.
`static java.util.List` | `s_flags` An array containing all of the fixed flags.
`static Flag` | `SEND_EMAIL` This value represents a flag of 'send email'.
`static Flag` | `SEND_LETTER` This value represents a flag of 'send letter'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Flag` | `get(int iStoreValue)` Gets the flag by its store value.
`static Flag` | `get(java.lang.String sName)` Gets the flag by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of flag levels.
`java.lang.String` | `getName()` Gets the name of the flag using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the flag using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the flag in the storage system.
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_flags

    public static java.util.List s_flags

  An array containing all of the fixed flags.

### NONE

    public static final Flag NONE

  This value represents a flag of 'none'.

### SEND_EMAIL

    public static final Flag SEND_EMAIL

  This value represents a flag of 'send email'.

### SEND_LETTER

    public static final Flag SEND_LETTER

  This value represents a flag of 'send letter'.

### ARRANGE_MEETING

    public static final Flag ARRANGE_MEETING

  This value represents a flag of 'arrange meeting'.

### CALL

    public static final Flag CALL

  This value represents a flag of 'call'.

### FOLLOW_UP

    public static final Flag FOLLOW_UP

  This value represents a flag of 'follow up'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the flag using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the flag using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the flag in the storage system.
  Returns:
    the store value

### get

    public static Flag get(int iStoreValue)

  Gets the flag by its store value.
  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching flag or `null` if not found

### get

    public static Flag get(java.lang.String sName)

  Gets the flag by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching flag or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of flag levels.
  Returns:
    the list of `Flag`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check (must be an `Flag` or else a `ClassCastException` is thrown)
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.